Bug 51778 - while buliding(make) a unix source "httpd-2.2.20.tar.gz" geeting "make: Fatal error: Command failed for target `htpasswd'"
Summary: while buliding(make) a unix source "httpd-2.2.20.tar.gz" geeting "make: Fatal...
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: support (show other bugs)
Version: 2.2.20
Hardware: Other Solaris
: P2 critical (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2011-09-07 08:54 UTC by ranjeet
Modified: 2018-11-07 21:09 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ranjeet 2011-09-07 08:54:42 UTC
Hi Support team,

We are trying build the source code "httpd-2.2.20.tar.gz" on unix machine having solaris 10 as operating system.

Description of error is as follows: 

un10/httpd-2.2.20/modules/proxy/../generators -I/home/epgsun10/httpd-2.2.20/modules/ssl -I/home/epgsun10/httpd-2.2.20/modules/dav/main -prefer-non-pic -static -c htpasswd.c && touch htpasswd.lo
/home/epgsun10/httpd-2.2.20/srclib/apr/libtool --silent --mode=link /usr/bin/cc -g     -L/usr/local/lib   -o htpasswd  htpasswd.lo   -lm /home/epgsun10/httpd-2.2.20/srclib/pcre/libpcre.la /home/epgsun10/httpd-2.2.20/srclib/apr-util/libaprutil-1.la -lexpat /home/epgsun10/httpd-2.2.20/srclib/apr/libapr-1.la -luuid -lsendfile -lrt -lsocket -lnsl -lpthread
Undefined                       first referenced
 symbol                             in file
libiconv_close                      /home/epgsun10/httpd-2.2.20/srclib/apr-util/.libs/libaprutil-1.so
libiconv_open                       /home/epgsun10/httpd-2.2.20/srclib/apr-util/.libs/libaprutil-1.so
libiconv                            /home/epgsun10/httpd-2.2.20/srclib/apr-util/.libs/libaprutil-1.so
ld: fatal: Symbol referencing errors. No output written to .libs/htpasswd
*** Error code 1
make: Fatal error: Command failed for target `htpasswd'
Current working directory /home/epgsun10/httpd-2.2.20/support
*** Error code 1
The following command caused the error:
otarget=`echo all-recursive|sed s/-recursive//`; \
list='  '; \
for i in $list; do \
    if test -d "$i"; then \
        target="$otarget"; \
        echo "Making $target in $i"; \
        if test "$i" = "."; then \ sdfsdf
                made_local=yes; \
                target="local-$target"; \
        fi; \
        (cd $i && make $target) || exit 1; \
    fi; \
done; \
if test "$otarget" = "all" && test -z 'htpasswd htdigest rotatelogs logresolve ab htdbm htcacheclean httxt2dbm checkgid'; then \
    made_local=yes; \
fi; \
if test "$made_local" != "yes"; then \
    make "local-$otarget" || exit 1; \
fi
make: Fatal error: Command failed for target `all-recursive'
Current working directory /home/epgsun10/httpd-2.2.20/support
*** Error code 1
The following command caused the error:
otarget=`echo all-recursive|sed s/-recursive//`; \
list='  srclib os server modules support'; \
for i in $list; do \
    if test -d "$i"; then \
        target="$otarget"; \
        echo "Making $target in $i"; \
        if test "$i" = "."; then \
                made_local=yes; \
                target="local-$target"; \
        fi; \
        (cd $i && make $target) || exit 1; \
    fi; \
done; \
if test "$otarget" = "all" && test -z 'httpd  '; then \
    made_local=yes; \
fi; \
if test "$made_local" != "yes"; then \
    make "local-$otarget" || exit 1; \
fi
make: Fatal error: Command failed for target `all-recursive'


Please help us to relsolve the issue.

earliest reply will be appreciated.
Comment 1 Ruediger Pluem 2011-09-07 13:51:58 UTC
You need to have the iconv library installed. Not sure if there is a native one for Solaris 10. Otherwise you need to use the GNU libiconv.
Comment 2 ranjeet 2011-09-07 14:46:50 UTC
(In reply to comment #1)
> You need to have the iconv library installed. Not sure if there is a native one
> for Solaris 10. Otherwise you need to use the GNU libiconv.

Hi Ruediger ,

Thanks for a reply,

I just want to know one thing . if i run a command >>which gcc 

it gives me a response as "No gcc"

So, can it be root cause of this error?
Comment 3 Eric Covener 2012-08-02 12:58:19 UTC
see ruedigers update
Comment 4 William A. Rowe Jr. 2018-11-07 21:09:36 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.